using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.DomainManager.Repository;

namespace e_suite.Modules.DomainManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder) 
    {
        builder.RegisterType<DomainRepository>().As<IDomainRepository>().InstancePerLifetimeScope();
        builder.RegisterType<DomainManager>().As<IDomainManager>().InstancePerLifetimeScope();
    }
}